// Persistence of Vision Ray Tracer Scene Description File
// File: beerBott.pov
// Desc: a weinhard beer bottle
// Date: 06/18/97
// Auth: Bob Franke
//

#version 3

#include "colors.inc"

#declare tBbeerbottle=
texture {
/*
  finish {
    ambient 0.1
    diffuse 0.1
    reflection .25
    refraction 1
    ior 1.5
    specular 1
    roughness 0.001
  }
*/  
  
  finish  {
    ambient 0.1
    diffuse 0.1
    reflection 0.1
    refraction 1
    ior 1.45
    specular 0.8
    roughness 0.003
    phong 1
    phong_size 400
}

  
  pigment { color rgbf <0.36, 0.25, 0.2, 0.6>*1.5 }
}




#declare m = 1000
#declare x1=52
#declare lbeerBottle=
  lathe {
    linear_spline
    45,
    <0,0>/m, <4,0>/m, <66-x1,0>/m, <94-x1,0>/m, <116-x1,2>/m, <122-x1,7>/m, <124-x1,15>/m, <124-x1,20>/m, <128-x1,24>/m, <124-x1,28>/m,
    <124-x1,33>/m, <128-x1,39>/m, <123-x1,44>/m, <120-x1,51>/m, <119-x1,57>/m, <123-x1,61>/m, <130-x1,68>/m, <131-x1,74>/m, <131-x1,79>/m,
    <127-x1,85>/m, <122-x1,87>/m, <121-x1,90>/m, <121-x1,97>/m, <129-x1,152>/m, <143-x1,256>/m, <151-x1,298>/m, <158-x1,314>/m, <176-x1,339>/m,
    <198-x1,363>/m, <213-x1,390>/m, <226-x1,442>/m, <226-x1,502>/m, <226-x1,1045>/m, <228-x1,1050>/m, <239-x1,1075>/m, <231-x1,1092>/m,
    <229-x1,1112>/m, <226-x1,1125>/m, <218-x1,1148>/m, <215-x1,1158>/m, <211-x1,1161>/m, <205-x1,1163>/m, <200-x1,1164>/m, <100-x1,1164>/m,
    <0,1164>/m
//    sturm
  }


#declare beerBottle=
object{
  difference{
    object{lbeerBottle}
    object{lbeerBottle scale <.9,1,.9> }

    rotate<180,0,0 >
    texture{tBbeerbottle}
    texture{
      pigment {
        image_map {
          tga "d:\pov-ra~1\math\biglabel.tga"
          map_type 0
          interpolate 2
          once
          filter 233 1.0
          filter 234 1.0
          filter 235 1.0
          filter 236 1.0
          filter 237 1.0
          filter 238 1.0
          filter 239 1.0
          filter 240 1.0
          filter 241 1.0
          filter 242 1.0
          filter 243 1.0
          filter 244 1.0
          filter 245 1.0
          filter 246 1.0
          filter 247 1.0
          filter 248 1.0
          filter 249 1.0
          filter 250 1.0
          filter 251 1.0
          filter 252 1.0
          filter 253 1.0
          filter 254 1.0
          filter 255 1.0
        }
      }
      scale <.50,.65,.50>*.8
      translate<0,-1.05,0>
      rotate<0,90,0>
    }
    texture{
      pigment {
        image_map {
          tga "d:\pov-ra~1\math\smlabel.tga"
          map_type 0
          interpolate 2
          once
          filter 229 1.0
          filter 230 1.0
          filter 231 1.0
          filter 232 1.0
          filter 233 1.0
          filter 234 1.0
          filter 235 1.0
          filter 236 1.0
          filter 237 1.0
          filter 238 1.0
          filter 239 1.0
          filter 240 1.0
          filter 241 1.0
          filter 242 1.0
          filter 243 1.0
          filter 244 1.0
          filter 245 1.0
          filter 246 1.0
          filter 247 1.0
          filter 248 1.0
          filter 249 1.0
          filter 250 1.0
          filter 251 1.0
          filter 252 1.0
          filter 253 1.0
          filter 254 1.0
          filter 255 1.0
        }
      }
      scale .15
      translate<0,-0.25,0>
      rotate<0,90,0>
    }
  }
 translate<0,1.164,0>
 bounded_by { cylinder{<0,0,0>,<0,1.164,0>,.240}}
 scale 6.65
}
//====================< end beer bottle >======================

